summaryrefslogtreecommitdiff
path: root/recipes/images/files/library/tegra/update.sh
diff options
context:
space:
mode:
authorMax Krummenacher <max.krummenacher@toradex.com>2016-07-03 12:42:19 +0200
committerDominik Sliwa <dominik.sliwa@toradex.com>2016-08-17 14:08:04 +0200
commit25a63406fa12fca060d0f42b3314d510e9a22d0e (patch)
treecd22d4c30581d3c6c1483ccd1238803cac195e99 /recipes/images/files/library/tegra/update.sh
parent485643678b2d39d37b1cc9d1aa2200bb934b08de (diff)
update.sh: fix parameter to force module type
The script fails when -m is given but rootfs/etc/issue fails to provide the version info. While at it correct wrong text output on i.MX 6 based modules. Signed-off-by: Max Krummenacher <max.krummenacher@toradex.com> Acked-by: Dominik Sliwa <dominik.sliwa@toradex.com>
Diffstat (limited to 'recipes/images/files/library/tegra/update.sh')
-rwxr-xr-xrecipes/images/files/library/tegra/update.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/recipes/images/files/library/tegra/update.sh b/recipes/images/files/library/tegra/update.sh
index 1229675..a844d12 100755
--- a/recipes/images/files/library/tegra/update.sh
+++ b/recipes/images/files/library/tegra/update.sh
@@ -325,7 +325,7 @@ touch ${BINARIES}/versions.txt
echo "Component Versions" > ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/${U_BOOT_BINARY}`" >> ${BINARIES}/versions.txt
basename "`readlink -e ${BINARIES}/${KERNEL_IMAGETYPE}`" >> ${BINARIES}/versions.txt
-ROOTFSVERSION=`egrep -i 't([2-3]0|k1)' rootfs/etc/issue`
+ROOTFSVERSION=`egrep -i 't([2-3]0|k1)' rootfs/etc/issue || echo "Version Unknown"`
echo "Rootfs ${ROOTFSVERSION}" >> ${BINARIES}/versions.txt
#create subdirectory for this module type